Change to spamblocker2 file

Arkaos

Verified User
Joined
Sep 1, 2006
Messages
61
Location
127.0.0.1
Hi There,

relays.ordb.org is out of commision since december 2006 so you should remove this entry from the spamblocker config.


Nick
 

smtalk

Administrator
Staff member
Joined
Aug 22, 2006
Messages
8,335
Location
LT, EU
It's removed in SpamBlocker 3 Beta. I don't think that it will be removed in SpamBlocker 2.
 

nobaloney

NoBaloney Internet Svcs - In Memoriam †
Joined
Jun 16, 2003
Messages
26,119
Location
California
I don't see any reason to release a new update of SpamBlocker2. I recommend switching to the SpamBlocker3 beta.

We've just built a new testbed server specifically for testing some changes we've made to SpamBlocker3 beta here, so within a few weeks SpamBlocker3 will be coming out of beta, and should be much more effective than it is now.

Jeff
 

SupermanInNY

Verified User
Joined
Sep 28, 2004
Messages
350
Few silly questions:

1. Would the upgrade to SpamBloker3 from SpamBlocker2 be a simple ./update.spambloker.sh and have complete udpate? (I'm talking once it is out of beta)

2. I'm still at the dark as to the various diff between spamblocker (2,3 doesn't matter) with SA + ClamAV Vs. MailScanner.
I'm about to bring up a new box in few days,. what is the preferred installation that I should follow?
Until now,. I ran the default spamblocker2 that comes with the vanilla install of DA, then I've added ClamAV via update.script.


3. http://www.nobaloney.net/downloads/spamblocker/DirectAdminSpamBlocker3/ there is a missing word:

Additionally, if you're using a verison of the SpamBlocker exim.conf file
with ClamAV support then you must a file at:
Must what exactly?

-Alon.
 

nobaloney

NoBaloney Internet Svcs - In Memoriam †
Joined
Jun 16, 2003
Messages
26,119
Location
California
There are no silly questions, Supe; only silly answers ;) .

1) I won't be writing one. Someone else may. That's the beauty of open-source projects.

2) Mailscanner is an extra program which isn't required with exim, so SpamBlocker doesn't use it.

When I install a new box I install ClamAV following the instructions here and then I install the appropriate version of SpamBlocker3 and of course the required exim.pl, from my site here.

I edit the SpamBlocker3 file to show (in the event of a false positive) the link to your own page instead of example.com, and since I run ClamAV I add that extra file (see #3 below).

3) Thanks for bringing it to my attention; it should read:

you must add a file at

Jeff
 

SupermanInNY

Verified User
Joined
Sep 28, 2004
Messages
350
There are no silly questions, Supe; only silly answers ;) .
Oh.. I got few .. trust me :D :D .

When I install a new box I install ClamAV following the instructions here and then I install the appropriate version of SpamBlocker3 and of course the required exim.pl, from my site here.

I edit the SpamBlocker3 file to show (in the event of a false positive) the link to your own page instead of example.com, and since I run ClamAV I add that extra file (see #3 below).
My fresh install boxes are the same, amazing.. isn't it? :)) (well. with the exception that I've used spamblocker 2 - till now).
B-U-T,.. the one step is the one that I'm a bit concerned about is this one:

...and of course the required exim.pl, from my site
OK,.. that is the only thing I'm concerned about.
What happens if I decide to upgrade exim? This will of course use a new exim.pl,. will this throw me out and kill the fun?

Thanks,

-Alon.
 
Top